Package org.silverpeas.components.resourcesmanager.repository

## Interface ResourceRepository

- All Superinterfaces:
    `org.silverpeas.core.persistence.datasource.repository.EntityRepository<Resource>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<Resource>`
  All Known Implementing Classes:
    `ResourceJpaRepository`

      public interface ResourceRepository
      extends org.silverpeas.core.persistence.datasource.repository.EntityRepository<Resource>, org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<Resource>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteResourcesFromCategory​(Long categoryId)` |
    `List<Resource>` | `findAllBookableResources​(String instanceId)` |
    `List<Resource>` | `findAllReservedResources​(Long reservationIdToSkip, List<Long> aimedResourceIds, String startPeriod, String endPeriod)` |
    `List<Resource>` | `findAllResources​(String instanceId)` |
    `List<Resource>` | `findAllResourcesByCategory​(Long categoryId)` |
    `List<Resource>` | `findAllResourcesForReservation​(Long reservationId)` |

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

      `contains, delete, delete, deleteByComponentInstanceId, deleteById, deleteById, findByCriteria, flush, getAll, getById, getById, getById, save, save, save`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush

      `saveAndFlush`

- - ### Method Detail

    - #### findAllResourcesByCategory

          List<Resource> findAllResourcesByCategory​(Long categoryId)

    - #### findAllBookableResources

          List<Resource> findAllBookableResources​(String instanceId)

    - #### findAllResources

          List<Resource> findAllResources​(String instanceId)

    - #### findAllResourcesForReservation

          List<Resource> findAllResourcesForReservation​(Long reservationId)

    - #### findAllReservedResources

          List<Resource> findAllReservedResources​(Long reservationIdToSkip,
                                                  List<Long> aimedResourceIds,
                                                  String startPeriod,
                                                  String endPeriod)

    - #### deleteResourcesFromCategory

          void deleteResourcesFromCategory​(Long categoryId)